# Class BasicX509TrustManager

java.lang.Object
uk.ac.starlink.auth.ssl.BasicX509TrustManager

All Implemented Interfaces:
  `TrustManager, X509TrustManager`

public class BasicX509TrustManager extends Object implements X509TrustManager

## Constructor Summary

Constructors
Constructor
Description
`BasicX509TrustManager(X509TrustManager delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkClientTrusted(X509Certificate[] xcs, String str)`
`void`
`checkServerTrusted(X509Certificate[] xcs, String str)`
`X509Certificate[]`
`getAcceptedIssuers()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicX509TrustManager

public BasicX509TrustManager(X509TrustManager delegate)

## Method Details

### checkClientTrusted

public void checkClientTrusted(X509Certificate[] xcs, String str) throws CertificateException

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

### checkServerTrusted

public void checkServerTrusted(X509Certificate[] xcs, String str) throws CertificateException

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

### getAcceptedIssuers

public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`